#ifndef TEXT_H_INCLUDED
#define TEXT_H_INCLUDED

#include <stdexcept>
#include <string>
#include <SDL.h>
#include <SDL_ttf.h>

/* Four functions, not even wrapped in a class, designed to be used
 * with the same syntax as the SDL_gfx functions - they render fonts
 * on the screen, they can do centered and left aligned text, but
 * both center the text vertically. Font can be changed in .cpp file */

void centeredtextRGB(SDL_Renderer* sdlRenderer, int x, int y, int fontsize, std::string text, Uint8 r, Uint8 g, Uint8 b);
void centeredtextColor(SDL_Renderer* sdlRenderer, int x, int y, int fontsize, std::string text, Uint32 colour);

void textRGB(SDL_Renderer* sdlRenderer, int x, int y, int fontsize, std::string text, Uint8 r, Uint8 g, Uint8 b);
void textColor(SDL_Renderer* sdlRenderer, int x, int y, int fontsize, std::string text, Uint32 colour);

#endif // TEXT_H_INCLUDED
